Actualizar Virtuemart 2.6.12 a VM3 teniendo Joomla 2.5.28 y pasar a Joomla3  

Página 1 / 3
 
Alceste
 Alceste
Noble Member

Hola,
Si no me equivoco ahora pasar de Joomla 2.5.28 a Joomla 3 es una sencilla actualización. Así mismo, pasar de Virtuemart 2.6.12 a Virtuemart 3+ también es una sencilla actualización. La duda me surge a la hora de actualizar ambas cosas. No me queda claro qué proceso seguir o por qué orden.
¿Sería este?
1- Actualizar Joomla de 2.5.28 a 3+
2-Actualizar Virtuemart de 2.6.12 a 3+
3-Actualizar la plantilla (En mi caso es la Storebox y requiere comprarla y actualizarla al no estar disponible para estas versiones en los packs)

¿Podeis explicar un poco los pasos y el orden en qué darlos o dirigirme a un tutorial que lo explique?
Saudos y gracias

Saludos y gracias

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 10/02/2016 9:10 am
Rafael
 Rafael
Miembro Moderator

Hola Alceste,

Sí es una actualización pero en Joomla las actualizaciones entre versiones de diferentes ramas suelen dar problemas: cuando no es el tema, es una extensión y cuando no, una configuración.

Tal y como ya hemos comentado en anteriores hilo de foro, no te puedo afirmar que vas a poder actualizar a la primera y todo correctamente.

Es por esto que antes de actualizar, toma precauciones:

1º Realiza un clon de la web Joomla 2.5.28 en otro directorio -> https://www.webempresa.com/blog/item/1109-copias-de-seguridad-en-joomla-25-y-3x-con-akeeba-backup.html

2º Revisa que el nivel de PHP de tu cuenta de Hosting sea superior a la PHP 5.3 (desde tickets podrán informarte de ello)

3º Ten la plantilla actualizada a mano para reemplazarla por la que usas en el sitio (desactiva la plantilla antigua)

4º Desinstala por completo aquellos componentes que no sean compatibles con Joomla 3.4.x (includo Akeeba Backup)

5º Desactiva plugin Remember Me si lo tienes activado.

6º Realiza el proceso de actualización a Joomla 3.4.x

Más información en -> https://www.webempresa.com/blog/actualizar-joomla-2-5-28-joomla-3-4-rapida-facilmente.html

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 10/02/2016 9:20 am

wpdoctor-revisa-la-salud-de-tu-wordpress

Alceste
 Alceste
Noble Member

Hola,
¿Pero el orden que decía es el correcto?

ResponderCitar
Respondido : 10/02/2016 9:28 am
Rafael
 Rafael
Miembro Moderator

Hola Alceste,

El orden en tu caso yo lo alteraría:

Primero: sube la plantilla actualizada (activa una plantilla de por defecto para que no tengas problemas al actualizar)

Luego, actualizaría Joomla (con todo lo que ya hemos hablado anteriormente)

Y por último los componentes restantes como VirtueMart y el resto.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 10/02/2016 9:57 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Alceste
 Alceste
Noble Member

Hola,
Como han pasado días y no he adquirirido la nueva plantilla hasta ahora que ya existe Joomla 3.5, me surgen nuevas dudas.
Si cargo primero la plantilla para joomla 3 y la web sigue en joomla 2.5 entiendo que no funcionará hasta que finalice el resto de actualizaciones: es decir pasar a Joomla 3.5 y luego, todo seguido, pasar a Virtuemart 3.
Pero por otro lado, en otro post me aconsejásteis esperar antes de actualizar a Joomla 3.5.
En resumen:
a-¿Puedo ya actualizar a Joomla 3.5?
b-Los pasos a seguir, si lo he entendido bien son:
(Previamente asegurarme mediante ticket de tener la version PHP superior a 5.3)
1-Poner la tienda on-line en fuera de linea.
2-Seleccionar una plantilla por defecto para no tener problemas al cargar la actualización de la plantilla.
3-Desactivar Akeeba backup, el plugin Remember me y otras extensiones no compatibles...que sepa...
3-Subir la nueva versión de la plantilla, (actualizarla).
4- Actualizar a Joomla 3.5 (¿o a 3.4?)
5-Actualizar a Virtuemart 3
Preferiblemente hacer un clon antes de todo eso.

Saludos y gracias

ResponderCitar
Respondido : 04/04/2016 1:06 pm
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Alceste.
Si no entiendo mal, tienes la plantilla nueva para joomla3 y supongo que tendrás un ' quickstart ' para la instalación.

Por qué no realizas una instalación limpia en otro directorio con el ' quickstart ' y a partir de eso instalar todos los módulos que te hagan falta, trabajar en ella hasta que la tengas ya poder ponerla en producción, con esto tendrás una instalación nueva.

Xfavor discúlpame si no lo comprendí bien :unsure:

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 04/04/2016 1:32 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Alceste
 Alceste
Noble Member

Hola,
Disculpa no me habré explicado bien. No voy a usar la opción quickstar sinó una instalación limpia puesta que ya tengo la web en producción. Pero lo que quiero es actualizar la tienda online no crearla desde cero y luego tener que exportar a ella clientes, pedidos, artículos, etc. Ya he pasado por eso en una migración reciente que hice de Joomla 1.5 a Joomla 3 y es un calvario.

Saludos y gracias

ResponderCitar
Respondido : 04/04/2016 1:50 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Luego que desactives todas las extensiones no compatibles, lo que te sugiero es :

1- Actualizar virtuemart, virtuemart 3.x teoricamente funciona bien en Joomla 2.x y 3.x
2- Verifica si tu plantilla igualmente funciona bien en Joomla 2.5 o Joomla 3, de ser el caso actualiza igualmente tu plantilla
3- Finalmente actualiza Joomla.

El paso de la plantilla lo puedes dejar incluso para el final y probar tu sitio con una plantilla por defecto, al menos verificar que carguen bien los principales componentes.

Saludos.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 04/04/2016 6:31 pm

Cursos Gratuitos WordPress

Alceste
 Alceste
Noble Member

Hola,
Lo de actualizar cada vez me genera mayor inseguridad, no sé si solo me pasa a mi...pero en fin. Para minimizar problemas de compatibilidad me gustaría actualizarme a la versión más baja de cada cosa para estar dentro de la rama activa (con soporte) de Joomla. Es decir, de Joomla 2.5.28 pasar a Joomla 3 en su versión más "vieja" con la versión de virtuemart "más vieja" compatible con la de Joomla 3 a la que actualice...
Entonces, entioendo que se tiene que hacer la actualización de Joomla como antes, manualmente, ya que por la vía rápida me instalaría la última dispobible Joomla 3.5.1, con lo cual tengo más números de que haya extensiones no compatibles, etc. Si luego de esto me funciona todo, entonces ya iría actualizando a versiones más recientes...
¿Podéis indicarme a cual es la versión de Joomla 3 más baja a la que podría actualizar la web, para seguir trabajando con Virtuemart 2.6.12? O si debo actualizar también Virtuemart, qué versión sería la más baja a la que puedo actualizarlo?
Saludos y gracias

ResponderCitar
Respondido : 06/04/2016 3:04 pm
Pablo Velasco
 Pablo Velasco
Illustrious Member

Hola,

No te recomiendo actualizar a versiones viejas de la rama 3 de Joomla, como la 3.4.0, ya que todas ellas son vulnerables. Puestos a actualizarte, es mejor que pases a utilizar directamente las últimas versiones de Joomla y Virtuemart, asegurándote de que el resto de extensiones que hayas añadido a tu Joomla sean compatible con la versión de Joomla.

Desde luego, esto no te recomiendo hacerlo de forma directa en tu web en producción, sino que lo mejor sería hacer un clon de la web y hacer en él las pruebas de actualización. Así podrás analizar los problemas que puedan surgir, así como realizar pruebas de compras para verificar que todo va bien en la tienda.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 06/04/2016 4:37 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Alceste
 Alceste
Noble Member

Hola,
Estoy intentando la actualización en un clon. Primero traté de instalar la plantilla Storebox3 pero no funciona con Joomla 2.5.8. Así que volví a instalar la Storebox 2.5 y funciona. Luego e instalado Virtuemart3 como sugiere John. Y me surgen estos problemas.
La apariencia de la ficha del producto ha cambiado:
- El precio aparece una vez en destacado y 4 veces debajo en pequeño.
-La descripción corta, que antes se mostraba en la parte superior con la foto del producto ahora aparece debajo.
- Cuando haces una compra no te aparece la opción "Guardar" si escoges una dirección de envío distinta a la de facturación.
- No pregunta ni la dirección de envío, ni la forma de pago.
- Hay textos no traducidos: Notes and special requests y Terms of Service
-Si aun así clicas en Comprar ahora, la patalla se queda como está y no te aparece ningún mensaje.

Por favor, ¿podeis indicarme si alguno de estos errores pertenece a Virtuemart o si son todos de la plantilla?
Saludos y gracias

ResponderCitar
Respondido : 08/04/2016 9:54 am
Julen
 Julen
Miembro Admin

Hola,

El fallo podría estar relacionado con alguna incompatibilidad de la plantilla.

Para comprobar si es un tema de la plantilla puedes renombrar el directorio /templates/tuplantilla/html/com_virtuemart a com_virtuemart_old y realiza nuevamente las pruebas.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 08/04/2016 10:11 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Alceste
 Alceste
Noble Member

Hola,
He actualizado la plantilla, pero ahora aparece otro error que veo también que tiene algunos post abiertos con lo cual no sé si debo ponerlo ahí para no mezclar. Se trata de este: HtmlBehavior::mootools not found. Por ahora las soluciones que veo en dichos post en mi caso no han funcionado.

También me aparece este aviso en el backend
No se ha podido analizar http://actualizaciones.webempresa.eu/actualizacion/core/list.xml
Esto lo he solucionado desactivandolo de update sites...

Saludos

ResponderCitar
Respondido : 08/04/2016 11:12 am
Julen
 Julen
Miembro Admin

Hola,

Cuando se hace una actualización de Joomla 2.5 a Joomla 3, normalmente los principales problemas suelen venir de extensiones que tenías instaladas (componentes, módulos y plugins) que no son compatibles con Joomla 3, y que tendrías que actualizar o eliminar en caso de que no haya una extensión compatible.

Del mismo modo, verifica si la plantilla es compatible con la versión Joomla que tiene instalada.

Puedes probar con otra plantilla y verificar si te sucede lo mismo.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 08/04/2016 11:31 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Alceste
 Alceste
Noble Member

Hola, la plantilla es compatible. Estaba revisando el tema de modulos y pluguins, activando y desactivando... y tras activar uno ahora no puedo entrar en el backend o administración del clon. No recuerdo cual era, no sé si tenía que ver con Gantry pero era algo de menú extendido o modulos de menú extendidos... Ahora cuando quiero entrar a la administración me carga esta url y no puedo acceder o logearme en el backend:
Creo que lo que he habilitado es: GK menu extended parameters

.../administrator/index.php?option=com_templates&view=styles

Saludos

ResponderCitar
Respondido : 08/04/2016 12:01 pm
Página 1 / 3

Por favor Iniciar Sesión o Registro